//////////////////////////////////////////////////// 
// CPU FREQUENCE FOR GP32 // 
//////////////////////////////////////////////////// 
// By ThunderZ // 
//////////////////////////////////////////////////// 
// Thanks to all GP32 community for make this // 
// table possible. // 
//////////////////////////////////////////////////// 
// WARNING, you use it at your how risk !!! // 
//////////////////////////////////////////////////// 

// Modified by Oankali
// oankali@nekanium.com
// www.nekanium.com


#ifndef __clock_h__
#define __clock_h__

#ifdef __cplusplus
extern "C" {
#endif


// Clock speeds
#define CLOCK16  0 
#define CLOCK33  1 
#define CLOCK40  2 
#define CLOCK60  3 
#define CLOCK67  4 
#define CLOCK80  5 
#define CLOCK102 6 
#define CLOCK132 7 


// General purpose macro definitions
#define TicksToMs(ticks) ((signed int) ((ticks) * 1000 / gTicksPerSecond))
#define MsToTicks(ms) ((signed int) ((ms) * gTicksPerSecond / 1000))


// Global variables
extern int gTicksPerSecond;


// Prototipus
void SetClockSpeed(int nClockSpeed); 


#ifdef __cplusplus
  }
#endif

#endif /*__clock_h__*/
